## ros-melodic-phidgets-api 0.7.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(phidgets_api)

# Use C++11
if (CMAKE_VERSION VERSION_LESS "3.1")
    if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
        set(CMAKE_CXX_FLAGS "-std=gnu++11 ${CMAKE_CXX_FLAGS}")
    endif()
else()
    set (CMAKE_CXX_STANDARD 11)
endif()

# High level of warnings:
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra)
endif()

find_package(catkin REQUIRED COMPONENTS libphidget21)

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES phidgets_api
    CATKIN_DEPENDS libphidget21
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(phidgets_api src/encoder.cpp
                         src/imu.cpp
                         src/ik.cpp
                         src/ir.cpp
                         src/motor.cpp
                         src/phidget.cpp)

add_dependencies(phidgets_api ${catkin_EXPORTED_TARGETS})

target_link_libraries(phidgets_api ${catkin_LIBRARIES})

install(TARGETS phidgets_api
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-melodic-phidgets-api (0.7.10-1stretch) stretch; urgency=high

  * Update maintainers in package.xml
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Remove unused indexHandler from Encoder class.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Small cleanups throughout the code.
  * Push libphidgets API calls down to phidgets_api.
  * Quiet down the to-be-overridden callbacks.
  * Consistently use nullptr instead of 0.
  * Make the phidget_api destructors virtual.
  * Move libusb dependency into the libphidget21 package.xml.
  * Switch to package format 2.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

ros-melodic-phidgets-api (0.7.9-1stretch) stretch; urgency=high

  * Add missing OnInputChange handler (#33 <https://github.com/ros-drivers/phidgets_drivers/issues/33>)
  * Contributors: Kai Hermann

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-phidgets-api (0.7.8-1stretch) stretch; urgency=high

  * Install udev rules on binary package installation
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-phidgets-api (0.7.7-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-melodic-phidgets-api (0.7.6-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-melodic-phidgets-api (0.7.5-1stretch) stretch; urgency=high

  * Add support for the phidgets_ik (Phidgets Interface Kit)
  * Contributors: Russel Howe, James Sarrett, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-melodic-phidgets-api (0.7.4-1stretch) stretch; urgency=high

  * Fix typo and doxygen docs
  * Contributors: Jose Luis Blanco Claraco, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-melodic-phidgets-api (0.7.3-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-melodic-phidgets-api (0.7.2-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-melodic-phidgets-api (0.7.1-1stretch) stretch; urgency=high

  * Set event handlers for motor + encoder APIs
  * Added basic motor api
  * Added basic encoder board api
  * Contributors: Zach Anderson, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-melodic-phidgets-api (0.7.0-1stretch) stretch; urgency=high

  * Use our own libphidget21 instead of external libphidgets
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-melodic-phidgets-api (0.2.3-1stretch) stretch; urgency=high

  * Add IMU diagnostics (#24 <https://github.com/ccny-ros-pkg/phidgets_drivers/pull/24>)
  * Contributors: Mani Monajjemi, Keshav Iyengar, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-melodic-phidgets-api (0.2.2-1stretch) stretch; urgency=high

  * phidgets_api: updated build/installation rules to use 3rd party libphdigets ROS package
  * phidgets_api: updated package details
  * phidgets_api: added copy of udev rule to package and updated path in script
  * phidgets_api: updated path to libphidgets header file
  * phidgets_api: removed license and header file of phidgets library
  * Contributors: Murilo FM

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 22 Mar 2015 23:00:00 -0000

ros-melodic-phidgets-api (0.2.1-1stretch) stretch; urgency=high

  * phidgets_api: add libusb dependency
    This caused Jenkins CI tests to fail.
  * phidgets_api: fix case in CMakeLists
  * phidgets_api: added GNU LGPLv3 copy (phidget21.h)
  * phidgets_api: updated license and author information
  * phidgets_api: added script to setup udev rules for Phidgets devices
  * phidgets_api: added libphidget21 dependency as cmake external project
  * phidgets_api: updated path to libphidget header file
  * phidgets_api: added libphidget header file to package
  * phidgets_api: removed phidgets_c_api dependency
  * Deleted comments within files of all packages
  * Catkinised packages
  * added missing cmakelists
  * added api, imu and ir
  * removed deps directory
  * initial commit
  * Contributors: Ivan Dryanovski, Martin Günther, Murilo FM

 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 14 Jan 2015 23:00:00 -0000

## ros-melodic-phidgets-api 0.7.11

=== debian/changelog ===
ros-melodic-phidgets-api (0.7.11-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 08 Apr 2021 22:00:00 -0000

ros-melodic-phidgets-api (0.7.10-1bionic) bionic; urgency=high

  * Update maintainers in package.xml
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Remove unused indexHandler from Encoder class.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Small cleanups throughout the code.
  * Push libphidgets API calls down to phidgets_api.
  * Quiet down the to-be-overridden callbacks.
  * Consistently use nullptr instead of 0.
  * Make the phidget_api destructors virtual.
  * Move libusb dependency into the libphidget21 package.xml.
  * Switch to package format 2.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

ros-melodic-phidgets-api (0.7.9-1bionic) bionic; urgency=high

  * Add missing OnInputChange handler (#33 <https://github.com/ros-drivers/phidgets_drivers/issues/33>)
  * Contributors: Kai Hermann

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-phidgets-api (0.7.8-1bionic) bionic; urgency=high

  * Install udev rules on binary package installation
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-phidgets-api (0.7.7-1bionic) bionic; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-melodic-phidgets-api (0.7.6-1bionic) bionic; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-melodic-phidgets-api (0.7.5-1bionic) bionic; urgency=high

  * Add support for the phidgets_ik (Phidgets Interface Kit)
  * Contributors: Russel Howe, James Sarrett, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-melodic-phidgets-api (0.7.4-1bionic) bionic; urgency=high

  * Fix typo and doxygen docs
  * Contributors: Jose Luis Blanco Claraco, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-melodic-phidgets-api (0.7.3-1bionic) bionic; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-melodic-phidgets-api (0.7.2-1bionic) bionic; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-melodic-phidgets-api (0.7.1-1bionic) bionic; urgency=high

  * Set event handlers for motor + encoder APIs
  * Added basic motor api
  * Added basic encoder board api
  * Contributors: Zach Anderson, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-melodic-phidgets-api (0.7.0-1bionic) bionic; urgency=high

  * Use our own libphidget21 instead of external libphidgets
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-melodic-phidgets-api (0.2.3-1bionic) bionic; urgency=high

  * Add IMU diagnostics (#24 <https://github.com/ccny-ros-pkg/phidgets_drivers/pull/24>)
  * Contributors: Mani Monajjemi, Keshav Iyengar, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-melodic-phidgets-api (0.2.2-1bionic) bionic; urgency=high

  * phidgets_api: updated build/installation rules to use 3rd party libphdigets ROS package
  * phidgets_api: updated package details
  * phidgets_api: added copy of udev rule to package and updated path in script
  * phidgets_api: updated path to libphidgets header file
  * phidgets_api: removed license and header file of phidgets library
  * Contributors: Murilo FM

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 22 Mar 2015 23:00:00 -0000

ros-melodic-phidgets-api (0.2.1-1bionic) bionic; urgency=high

  * phidgets_api: add libusb dependency
    This caused Jenkins CI tests to fail.
  * phidgets_api: fix case in CMakeLists
  * phidgets_api: added GNU LGPLv3 copy (phidget21.h)
  * phidgets_api: updated license and author information
  * phidgets_api: added script to setup udev rules for Phidgets devices
  * phidgets_api: added libphidget21 dependency as cmake external project
  * phidgets_api: updated path to libphidget header file
  * phidgets_api: added libphidget header file to package
  * phidgets_api: removed phidgets_c_api dependency
  * Deleted comments within files of all packages
  * Catkinised packages
  * added missing cmakelists
  * added api, imu and ir
  * removed deps directory
  * initial commit
  * Contributors: Ivan Dryanovski, Martin Günther, Murilo FM

 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 14 Jan 2015 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-phidgets-api
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-libphidget21
Homepage: http://ros.org/wiki/phidgets_api
Standards-Version: 3.9.2

Package: ros-melodic-phidgets-api
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-libphidget21
Description: A C++ Wrapper for the Phidgets C API

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-phidgets-api//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
